From 7ae1f74dd167f9bbb1b716549ba1cc4bbd464994 Mon Sep 17 00:00:00 2001
Message-Id: <7ae1f74dd167f9bbb1b716549ba1cc4bbd464994.1734649508.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Thu, 19 Dec 2024 23:03:12 +0000
Subject: [PATCH 1/2] gnu: Add julia-performancetesttools.

* gnu/packages/julia-xyz.scm (julia-performancetesttools): New variable.

Change-Id: Ia3d452f400a8dc0fe78ef8c131101ac2cd46550e
---
 gnu/packages/julia-xyz.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index be2501a934..e7cbbe246b 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -4895,6 +4895,31 @@ (define-public julia-pdmats
 actual computation.")
     (license license:expat)))
 
+(define-public julia-performancetesttools
+  (package
+    (name "julia-performancetesttools")
+    (version "0.1.3")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/JuliaTesting/PerformanceTestTools.jl")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0v5b8vnnhavra18h0136gahiyl7nc6r3rm3hm359ic3da8yzrnhn"))))
+    (build-system julia-build-system)
+    (home-page "https://github.com/JuliaTesting/PerformanceTestTools.jl")
+    (synopsis "Enables efficient code generation in test cases")
+    (description
+     "This package enables the Julia compiler to generate
+efficient code when running test cases.  Test cases are typically run with
+flags that prevent efficient code generation.  This package detects those flags
+and instead spawns a separate Julia process without the flags in which to run
+the test cases.")
+    (license license:expat)))
+
+
 (define-public julia-plotthemes
   (package
     (name "julia-plotthemes")

base-commit: 07b4b1d055c36c6c61d39273c26974771dbfe805
-- 
2.34.1

